./editors/p5-Padre-Plugin-SpellCheck, Check spelling in Padre

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.33, Package name: p5-Padre-Plugin-SpellCheck-1.33, Maintainer: pkgsrc-users

This plugins allows one to checking her text spelling within Padre using
F7 (standard spelling shortcut accross text processors). One can change the
dictionary language used in the preferences window
(menu Plugins / SpellCheck / Preferences).


Required to run:
[lang/perl5] [devel/p5-Class-Accessor] [textproc/p5-Text-Aspell] [devel/p5-Class-XSAccessor] [devel/p5-Module-Util] [editors/p5-Padre]

Required to build:
[devel/p5-Module-Install] [devel/p5-Test-Requires] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 711d41707abff9c52775b98efccf3d197164d55e
RMD160: 1d1208f6845ce83b7ebb9fbce672d2d4af91af9d
Filesize: 50.948 KB

Version history: (Expand)


CVS history: (Expand)


   2017-09-27 23:47:35 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
p5-Padre-Plugin-SpellCheck: update to 1.33.

1.33 2013-09-24
 - Add MYMETA to MANIFEST.SKIP (BOWTIE)

1.32 2013-05-02
 - Update dependainces and bump version (BOWTIE)
 - Tweak tests to increase coverage (BOWTIE)

1.31_03 2013-01-14
 - Tweak perl version dependancy and Makefile (BOWTIE)

1.31_02 2013-01-11
 - Bumped perl dependancie to 5.12.5 as test 05-Checker.t was failing under
   perl 5.10.1 with Class::Accessor (BOWTIE)
 - Update Changes file to CPAN::Changes::Spec (BOWTIE)

1.31_01 2012-08-25
 - Missing ellipsis on context menu (BOWTIE)
 - changed to dev version number until padre 0.98 is released (BOWTIE)

1.31 2012-08-23
 - My Bad, forgot to add icon (BOWTIE)

1.30 2012-08-22
 - update preferences to new Padre::Util::run_in_dir_two format (BOWTIE)
 - Add event_on_context_menu to enable changing preferences (BOWTIE)
 - Tweak tests for above (BOWTIE)

1.29 2012-06-19
 - Typo in fbp (BOWTIE)
 - replacement text location slipping dod+ (BOWTIE)
 - remove unused variable (BOWTIE)
 - switch to Class::Accessor with 'antlers' (BOWTIE)

1.28 2012-06-15
 - POD tweak for clarification dod+ (BOWTIE)
 - disable button when finished (BOWTIE)

1.27 2012-05-13
 - fix hunspell selection, which was not and tweak POD (BOWTIE)

1.26 2012-05-13
 - use v-string (BOWTIE)
 - update to next version number (BOWTIE)

1.25 2012-04-24
 - dynamic Dialogue Titles (BOWTIE)
 - Update POD, remove test code (BOWTIE)
 - implement new plugin_disable (BOWTIE)
 - use Try::Tiny implement (BOWTIE)
 - moving to p-p-xx-yy for config,  tides code and makes more consistent
   across plug-ins,  Padre 0.96 compatible only (BOWTIE)
 - Tweak tests, add README (BOWTIE)

1.24 2012-02-26
 - remove unwanted test for Text::Aspell installed (BOWTIE)

1.23 2012-02-26
 - fix plugin_enable school boy error (BOWTIE)
 - fix the config DB to check on enable for past and new install (BOWTIE)
 - Bump version to 1.23 (BOWTIE)
 - added Text::Hunspell (BOWTIE)
 - Update Status info in Checker to show dictionary and language
   (ALIAS)(BOWTIE)
 - rename Method accessors to inc get/set (BOWTIE)
 - remove un-used Methods (BOWTIE)
 - add the standard License to the tail as and where (BOWTIE)

1.22 2012-02-22
 - remove dead code in plugin_icon method (ZENOG)
 - Upgraded to use wxFormBuilder-based forms (BOWTIE)
 - revert-> Added missing Data::Printer dependency (AZAWAWI)<-(BOWTIE)
 - Access to Preferences is now via Plugin Manager (BOWTIE)
 - Preferences now displays language name rather than ISO code (BOWTIE)
 - use Padre Locale for dictionary names from ISO code (BOWTIE)
 - Start on adding some tests, as there are none (BOWTIE)
 - Preferences now shows and saves Aspell and Hunspell local dictionaries
   (BOWTIE)

1.21 2010-12-06
 - Restored missing POT/PO translation sources (Damyan Ivanov, AZAWAWI)
 - rename method 'spell_preferences' to 'plugin_preferences', so that the
   dialogue can also be called from the plugin manager (ZENOG)
 - add support for some filters (XML, HTML, LaTeX) (ZENOG)
 - fix encoding information in German translation file: ASCII to UTF-8
   #1070 (ZENOG)

1.2 2010-10-29
 - Removed Test::NeedsDisplay dependency (AZAWAWI)

1.1.3 2010-10-27
 - Compatibility with the latest Padre (ZENOG, AZAWAWI)
 - Added German translation (ZENOG)
 - Added Japanese translation (ISHIGAKI)
 - Fixed translations in share directory and removed old one(AZAWAWI)
 - Switched to Dist::Zilla (AZAWAWI)
 - t/00-load.t is magically injected by [@PadrePlugin] via [LoadTests]
   (AZAWAWI)
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:32:24 by Alistair G. Crooks | Files touched by this commit (138)
Log message:
Add SHA512 digests for distfiles for editors category

Problems found with existing distfiles:
	distfiles/javascript-2.1b1.el
	distfiles/yEd-3.14.2.zip
No changes made to the javascript-mode or yEd distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.
   2012-10-03 23:59:10 by Thomas Klausner | Files touched by this commit (2798)
Log message:
Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.